﻿function isPrimeNumber(primeNumbers, n) {
	var sqrt = Math.sqrt(n);

	var isPrimeNumber = true;
	for (var i in primeNumbers) {
		var divider = primeNumbers[i];

		if (divider === 1) {
			continue;
		}

		if (divider > sqrt)
			break;

		if (n % divider === 0) {
			isPrimeNumber = false;
			break;
		}
	}

	return isPrimeNumber;
}

var primeNumbers = [];
for (var i = 1; i < 1000; i++) {
	if (isPrimeNumber(primeNumbers, i)) {
		primeNumbers.push(i);
	}
}

document.write('<strong>Prime numbers:</strong><br />');
document.write(primeNumbers.join(', '));
document.write('<br />');

var fibonacciNumbers = [0, 1];
while (true) {
	var nextNumber = fibonacciNumbers[fibonacciNumbers.length - 1]
		+ fibonacciNumbers[fibonacciNumbers.length - 2];
	if (nextNumber > 1000)
		break;
	fibonacciNumbers.push(nextNumber);
}

document.write('<strong>Fibonacci numbers:</strong><br />');
document.write(fibonacciNumbers.join(', '));
document.write('<br />');

var kewlNumbers = [];
for (var i in fibonacciNumbers) {
	var fibonacciNumber = fibonacciNumbers[i];

	if (primeNumbers.indexOf(fibonacciNumber) >= 0) {
		kewlNumbers.push(fibonacciNumber);
	}
}

document.write('<strong>Kewl numbers:</strong><br />');
document.write(kewlNumbers.join(', '));
document.write('<br />');