﻿function CelestialBody(name) {
	this._name = name;
	this._coordinates;
	this._mass;
	this._age;
};

CelestialBody.prototype.getName = function () {
	return this._name;
}

CelestialBody.prototype.toLocaleString = function () {
	return 'Небесното тяло ' + this._name
		+ ' има координати ' + this._coordinates
		+ ', маса ' + this._mass
		+ ' и е на възраст  ' + this._age;
}

function Sun(name, isSupernova) {
	CelestialBody.prototype.constructor.call(this, name);

	this._isSupernova = isSupernova;
	this._metallicity;
}
Sun.prototype = new CelestialBody();
Sun.prototype.constructor = Sun;
Sun.prototype.toLocaleString = function () {
	return 'Слънцето ' + this._name
		+ ' ' + (this._isSupernova ? 'е' : 'не е') + ' супернова'
		+ ' и има състав ' + this._metallicity;
}

function Planet(name, sun, hasAtmophere) {
	CelestialBody.prototype.constructor.call(this, name);

	this._sun = sun;
	this._hasAtmophere = hasAtmophere;
}
Planet.prototype = new CelestialBody();
Planet.prototype.constructor = Planet;
Planet.prototype.toLocaleString = function () {
	return 'Планетата ' + this._name
		+ ' ' + (this._hasAtmophere ? 'има' : 'няма') + ' атмосфера'
		+ ' и обикаля около ' + this._sun;
}

var sun = new Sun('Слънце', false);
var earth = new Planet('Земя', sun, true);
earth.toLocaleString = function () {
	return 'Mother Earth';
}

var celestialBodies = [
	new CelestialBody('Луна'),
	sun,
	earth,
	new Planet('Юпитер', sun, true),
	new Sun('Проксима Центавър', false),
	new Planet('Венера', sun, true),
	new Planet('Меркурий', sun, false)
];

document.write('<strong>Небесни тела:</strong><br />');
for (var i in celestialBodies) {
	var celestialBody = celestialBodies[i];
	document.write(celestialBody.toLocaleString() + '<br />');
}